import { withTheme } from '@dokuhero/react-native-theme';
import React from 'react';
import { ButtonGroup as BtnGroup } from 'react-native-elements';
import { Button } from './Button';
export var ButtonGroup = withTheme(function (_a) {
    var buttons = _a.buttons, width = _a.width, height = _a.height, theme = _a.theme, selectedIndex = _a.selectedIndex, onPress = _a.onPress, containerStyle = _a.containerStyle, textColor = _a.textColor, backgroundColor = _a.backgroundColor, borderColor = _a.borderColor, borderWidth = _a.borderWidth, borderRadius = _a.borderRadius, fontSize = _a.fontSize;
    // width = width || '100%'
    height = height || 45;
    borderColor = borderColor === undefined ? theme.color.grey : borderColor;
    borderWidth = borderWidth === undefined ? 2 : borderWidth;
    borderRadius = borderRadius === undefined ? theme.radius.big : borderRadius;
    return (<BtnGroup selectedIndex={selectedIndex || -1} onPress={function (i) {
        if (onPress) {
            onPress(i);
        }
    }} innerBorderStyle={{
        color: borderColor,
        width: borderWidth
    }} containerBorderRadius={borderRadius} buttonStyle={{ flex: 1 }} buttons={buttons.map(function (b, i) { return ({
        element: function () { return (<Button buttonStyle={{ backgroundColor: backgroundColor }} textStyle={{
            fontSize: fontSize || theme.fontSize.medium,
            color: textColor || theme.color.white
        }} {...b} onPress={function () {
            if (onPress) {
                onPress(i);
            }
            if (b.onPress) {
                b.onPress();
            }
        }} containerViewStyle={[
            {
                width: '100%',
                height: '100%',
                borderRadius: 0
            },
            b.containerViewStyle
        ]} borderRadius={0}/>); }
    }); })} containerStyle={[
        {
            flexGrow: 1,
            height: height,
            width: width,
            borderRadius: borderRadius,
            backgroundColor: backgroundColor,
            borderColor: borderColor,
            borderWidth: borderWidth,
            borderStyle: 'solid'
        },
        containerStyle
    ]}/>);
});
//# sourceMappingURL=ButtonGroup.js.map