import * as tslib_1 from "tslib";
import { createStyleSheet, RadiusKeys, SpaceKeys } from '@dokuhero/react-native-theme';
import React from 'react';
import { Keyboard, TouchableOpacity } from 'react-native';
import { Icon } from 'react-native-elements';
import GridView from 'react-native-super-grid';
var ColorPicker = /** @class */ (function (_super) {
    tslib_1.__extends(ColorPicker, _super);
    function ColorPicker(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            selectedColor: props.selectedColor || '#1abc9c'
        };
        return _this;
    }
    ColorPicker.prototype.render = function () {
        var _this = this;
        var dimension = this.props.dimension || 40;
        // Taken from https://flatuicolors.com/
        var items = [
            '#1abc9c',
            '#2ecc71',
            '#3498db',
            '#9b59b6',
            '#34495e',
            '#16a085',
            '#27ae60',
            '#2980b9',
            '#2c3e50',
            '#f1c40f',
            '#e67e22',
            '#e74c3c',
            '#ecf0f1',
            '#95a5a6',
            '#f39c12',
            '#c0392b',
            '#bdc3c7',
            '#7f8c8d'
        ];
        return (<GridView itemDimension={dimension} items={items} style={[styles.container, this.props.containerStyle]} renderItem={function (item) { return (<TouchableOpacity style={[
            styles.itemContainer,
            { height: dimension, backgroundColor: item }
        ]} onPress={function () {
            Keyboard.dismiss();
            _this.setState({ selectedColor: item });
            _this.props.onChange(item);
        }}>
            {_this.state.selectedColor === item ? (<Icon name="check" type="font-awesome" color="#fff"/>) : null}
          </TouchableOpacity>); }}/>);
    };
    return ColorPicker;
}(React.Component));
export { ColorPicker };
var styles = createStyleSheet({
    container: {
        marginLeft: SpaceKeys.small,
        marginRight: SpaceKeys.small
    },
    itemContainer: {
        justifyContent: 'flex-end',
        borderRadius: RadiusKeys.small,
        padding: SpaceKeys.small
    }
});
//# sourceMappingURL=ColorPicker.js.map