import * as tslib_1 from "tslib";
import { withTheme } from '@dokuhero/react-native-theme';
import React from 'react';
import { CalculatorInput } from 'react-native-calculator';
import { globalStyles } from '../styles';
import { FormField } from './FormField';
export var InputNumber = withTheme(function (_a) {
    var value = _a.value, label = _a.label, errors = _a.errors, onChange = _a.onChange, theme = _a.theme, fieldTextStyle = _a.fieldTextStyle, containerStyle = _a.containerStyle, rest = tslib_1.__rest(_a, ["value", "label", "errors", "onChange", "theme", "fieldTextStyle", "containerStyle"]);
    return (<FormField label={label} errors={errors} containerStyle={[containerStyle, { paddingRight: 10 }]}>
      <CalculatorInput value={value} fieldContainerStyle={{
        marginLeft: 20,
        borderBottomColor: theme.color.grey
    }} fieldTextStyle={[
        globalStyles.inputText,
        { marginBottom: 6 },
        fieldTextStyle
    ]} borderColor={theme.color.lighter} acceptButtonBackgroundColor={theme.color.primary} calcButtonBackgroundColor={theme.color.secondary} onChange={function (val) {
        if (onChange) {
            onChange(val);
        }
    }} height={300} {...rest}/>
    </FormField>);
});
//# sourceMappingURL=InputNumber.js.map