import * as tslib_1 from "tslib";
import { ThemeConsumer } from '@dokuhero/react-native-theme';
import { MapView as MV, Permissions } from 'expo';
import React from 'react';
import { StyleSheet, View } from 'react-native';
import { Utils } from '../utils';
import { Busy } from './Busy';
import { MyLocationButton } from './MyLocationButton';
var MapView = /** @class */ (function (_super) {
    tslib_1.__extends(MapView, _super);
    function MapView(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            ready: false,
            busy: false
        };
        _this.goToMyLocation = _this.goToMyLocation.bind(_this);
        return _this;
    }
    MapView.prototype.render = function () {
        var _this = this;
        var _a = this.props, containerStyle = _a.containerStyle, goToMyLocationOnReady = _a.goToMyLocationOnReady, onMapReady = _a.onMapReady, onCurrentLocationNotFound = _a.onCurrentLocationNotFound;
        var props = tslib_1.__assign({}, this.props);
        delete props.onMapReady;
        delete props.containerStyle;
        delete props.goToMyLocationOnReady;
        return (<ThemeConsumer>
        {function (_a) {
            var mapStyle = _a.mapStyle;
            return (<View style={[{ flex: 1 }, containerStyle]}>
            <MV ref={function (e) { return (_this.map = e); }} style={StyleSheet.absoluteFillObject} customMapStyle={mapStyle} onMapReady={function () { return tslib_1.__awaiter(_this, void 0, void 0, function () {
                var status;
                var _this = this;
                return tslib_1.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, Permissions.askAsync(Permissions.LOCATION)];
                        case 1:
                            status = (_a.sent()).status;
                            if (status !== 'granted') {
                                if (onCurrentLocationNotFound) {
                                    onCurrentLocationNotFound('NEED_PERMISSION');
                                }
                            }
                            this.setState({ ready: true }, function () { return tslib_1.__awaiter(_this, void 0, void 0, function () {
                                return tslib_1.__generator(this, function (_a) {
                                    switch (_a.label) {
                                        case 0:
                                            if (!goToMyLocationOnReady) return [3 /*break*/, 2];
                                            return [4 /*yield*/, this.goToMyLocation()];
                                        case 1:
                                            _a.sent();
                                            _a.label = 2;
                                        case 2:
                                            if (onMapReady) {
                                                onMapReady();
                                            }
                                            return [2 /*return*/];
                                    }
                                });
                            }); });
                            return [2 /*return*/];
                    }
                });
            }); }} showsMyLocationButton={false} showsUserLocation {...props}/>
            <MyLocationButton onPress={_this.goToMyLocation}/>
            <Busy visible={_this.state.busy} text="Mencari lokasi saat ini..." layout="bottom"/>
          </View>);
        }}
      </ThemeConsumer>);
    };
    MapView.prototype.goToMyLocation = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var region;
            var _this = this;
            return tslib_1.__generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        if (!this.state.ready || !this.map) {
                            return [2 /*return*/];
                        }
                        return [4 /*yield*/, Utils.getCurrentPosition(this.props.onCurrentLocationNotFound, function () {
                                _this.setState({ busy: true });
                            })];
                    case 1:
                        region = _a.sent();
                        this.setState({ busy: false });
                        if (region) {
                            this.map.animateToRegion(region);
                        }
                        return [2 /*return*/];
                }
            });
        });
    };
    MapView.prototype.animateToRegion = function (region, duration) {
        if (!this.map) {
            return;
        }
        this.map.animateToRegion(region, duration);
    };
    return MapView;
}(React.Component));
export { MapView };
//# sourceMappingURL=MapView.js.map