import * as tslib_1 from "tslib";
import { withThemeClass } from '@dokuhero/react-native-theme';
import React from 'react';
import { Modal as Mdl, View } from 'react-native';
var Modal = /** @class */ (function (_super) {
    tslib_1.__extends(Modal, _super);
    function Modal(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            visible: props.visible
        };
        _this.hide = _this.hide.bind(_this);
        return _this;
    }
    Modal.getDerivedStateFromProps = function (props, state) {
        if (props.visible === state.visible) {
            return null;
        }
        return {
            visible: props.visible
        };
    };
    Modal.prototype.render = function () {
        var visible = this.state.visible;
        var _a = this.props, theme = _a.theme, children = _a.children, hideOnBackgroundPress = _a.hideOnBackgroundPress;
        return (<Mdl transparent visible={visible} onRequestClose={hideOnBackgroundPress ? this.hide : function () { return false; }}>
        <View style={{
            flex: 1,
            backgroundColor: theme.color.semiTransparent,
            justifyContent: 'center'
        }}>
          {children}
        </View>
      </Mdl>);
    };
    Modal.prototype.hide = function () {
        this.setState({ visible: false });
    };
    Modal.defaultProps = {
        hideOnBackgroundPress: true,
        visible: false
    };
    Modal = tslib_1.__decorate([
        withThemeClass(),
        tslib_1.__metadata("design:paramtypes", [Object])
    ], Modal);
    return Modal;
}(React.Component));
export { Modal };
//# sourceMappingURL=Modal.js.map