import * as tslib_1 from "tslib";
import { Permissions } from 'expo';
var LATITUDE_DELTA = 0.01;
var LONGITUDE_DELTA = 0.01;
var Utils = /** @class */ (function () {
    function Utils() {
    }
    Utils.toUpper = function (str) {
        return str ? str.toUpperCase() : '';
    };
    Utils.getDatesInMonth = function (date) {
        var lastDate = new Date(date.getFullYear(), date.getMonth() + 1, 0).getDate();
        var results = [];
        for (var d = 1; d <= lastDate; d++) {
            results.push(d);
        }
        return results;
    };
    Utils.firstTimeInMonth = function (date) {
        var d = new Date(date);
        d.setDate(1);
        return this.firstTimeInDate(d);
    };
    Utils.lastTimeInMonth = function (date) {
        var d = new Date(date.getFullYear(), date.getMonth() + 1, 0);
        return this.lastTimeInDate(d);
    };
    Utils.firstTimeInDate = function (date) {
        var d = new Date(date.getFullYear(), date.getMonth(), date.getDate(), 0, 0, 0, 0);
        // d.setHours(0, 0, 0, 0)
        return d;
    };
    Utils.lastTimeInDate = function (date) {
        var d = new Date(date.getFullYear(), date.getMonth(), date.getDate(), 23, 59, 59, 59);
        // d.setHours(23, 59, 59, 59)
        return d;
    };
    Utils.getCurrentPosition = function (onNotFound, onBusy) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var status, locationFound, busyTimer;
            return tslib_1.__generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, Permissions.askAsync(Permissions.LOCATION)];
                    case 1:
                        status = (_a.sent()).status;
                        if (status !== 'granted') {
                            if (onNotFound) {
                                onNotFound('NEED_PERMISSION');
                            }
                        }
                        locationFound = false;
                        busyTimer = setTimeout(function () {
                            if (onBusy) {
                                onBusy();
                            }
                        }, 1200);
                        return [2 /*return*/, new Promise(function (resolve, reject) {
                                var timeoutTimer = setTimeout(function () {
                                    if (!locationFound) {
                                        if (onNotFound) {
                                            onNotFound('SERVICE_IS_OFF');
                                        }
                                        clearTimeout(busyTimer);
                                        resolve();
                                    }
                                }, 7000);
                                try {
                                    navigator.geolocation.getCurrentPosition(function (position) {
                                        locationFound = true;
                                        var region = {
                                            latitude: position.coords.latitude,
                                            longitude: position.coords.longitude,
                                            latitudeDelta: LATITUDE_DELTA,
                                            longitudeDelta: LONGITUDE_DELTA
                                        };
                                        clearTimeout(busyTimer);
                                        clearTimeout(timeoutTimer);
                                        resolve(region);
                                    }, function (error) {
                                        resolve();
                                        clearTimeout(busyTimer);
                                        switch (error.code) {
                                            case 1:
                                                if (onNotFound) {
                                                    onNotFound('NEED_PERMISSION');
                                                }
                                                break;
                                            default:
                                                if (onNotFound) {
                                                    onNotFound('OTHER');
                                                }
                                        }
                                    });
                                }
                                catch (e) {
                                    clearTimeout(busyTimer);
                                    reject(e);
                                }
                            })];
                }
            });
        });
    };
    return Utils;
}());
export { Utils };
//# sourceMappingURL=index.js.map