import React from 'react'
import { WithThemeAndLocaleProps } from '../utils'
export interface DateFilterProps extends Partial<WithThemeAndLocaleProps> {
  start: Date
  end: Date
  onAccept?: (result: DateFilterResult) => void
  onLoad?: (result: DateFilterResult) => void
}
export interface DateFilterResult {
  start: Date
  end: Date
}
interface DateFilterState {
  showModal: boolean
  year: number
  years: number[]
  month: number
  dates: number[]
  date?: number
  selectedMode: number
}
export declare class DateFilter extends React.Component<
  DateFilterProps,
  DateFilterState
> {
  constructor(props: DateFilterProps)
  componentDidMount(): void
  render(): JSX.Element
  renderModal(): JSX.Element
  accept(): void
  getResult(): DateFilterResult
  hide(): void
}
export {}
