import React from 'react'
import { WithThemeAndLocaleProps } from '../utils'
export interface ImagePickerProps extends Partial<WithThemeAndLocaleProps> {
  uri: string
  onChange: (uri: string) => void
}
interface ImagePickerState {
  uri: string | null
}
export declare class ImagePicker extends React.Component<
  ImagePickerProps,
  ImagePickerState
> {
  static getDerivedStateFromProps(
    nextProps: ImagePickerProps,
    prevState: ImagePickerState
  ): ImagePickerState
  constructor(props: ImagePickerProps)
  render(): JSX.Element
  /**
   * Select picture from image library
   */
  selectPicture(): Promise<void>
  /**
   * Get picture from camera
   */
  takePicture(): Promise<void>
  /**
   * Dispay picture
   * @param {string} uri
   */
  setValue(uri: string): void
}
export {}
