import React from 'react'
import { StyleProp, ViewStyle } from 'react-native'
import { IconObject } from 'react-native-elements'
export interface ListViewProps<T> {
  data: T[]
  key?: keyof T
  renderItem: (item: T) => React.ReactElement<any>
  onRefresh?: () => Promise<any>
  containerStyle?: StyleProp<ViewStyle>
  title?: string
  noTopBorder?: boolean
  emptyComponent?: string | React.ReactNode
  emptyIcon?: IconObject
  loadingComponent?: string | React.ReactNode
  loadingIcon?: IconObject
  isLoading?: boolean
}
interface ListViewState {
  refreshing: boolean
}
export declare class ListView<T> extends React.Component<
  ListViewProps<T>,
  ListViewState
> {
  constructor(props: ListViewProps<T>)
  render(): JSX.Element
  renderLoadingData(): JSX.Element
  renderEmptyData(): JSX.Element
}
export {}
